// CPLD使能驱动
// 杭州秒寻科技有限公司
// 周涛
// 2025-03-31

#ifndef __DERIVER_CPLD_H__
#define __DERIVER_CPLD_H__

#include "stm32f4xx.h"
#include "stm32f4xx_rcc.h"
#include "sysdef.h"

// CPLD使能脚
#define DRIVER_CPLD_CS_CLK RCC_AHB1Periph_GPIOA
#define DRIVER_CPLD_CS_PIN GPIO_Pin_3
#define DRIVER_CPLD_CS_PORT GPIOA

// 北斗GPS使能脚
#define DRIVER_CPLD_BDGPS_CLK RCC_AHB1Periph_GPIOA
#define DRIVER_CPLD_BDGPS_PIN GPIO_Pin_2
#define DRIVER_CPLD_BDGPS_PORT GPIOA

// 供外部使用接口
void driver_cpld_init();
void driver_cpld_cs_enable(uint8 bySwitch);
void driver_cpld_bdgps_enable(uint8 byEnable);

#endif
